## libibtk 0.0.14

=== debian/changelog ===
libibtk (0.0.14-18) unstable; urgency=medium

  * Source upload

 -- Christian Bayle <bayle@debian.org>  Mon, 24 Feb 2025 08:20:15 +0100

libibtk (0.0.14-17) unstable; urgency=medium

  * Fix watch file

 -- Christian Bayle <bayle@debian.org>  Sun, 23 Feb 2025 00:01:32 +0100

libibtk (0.0.14-16) unstable; urgency=medium

  * Add missing Xlib include in idodad.h
  * Set upstream forwarding at not-needed
  * Fix debian/watch file typo

 -- Christian Bayle <bayle@debian.org>  Wed, 19 Feb 2025 12:54:16 +0100

libibtk (0.0.14-15) unstable; urgency=medium

  * Add some information about source code
  * re-adopt the package
  * Fix weak-library-dev-dependency for libibtk0t64
  * Add debian watch file
  * Fix duplicate description for libibtk0t64 and libibtk-dev
  * reformat debian patch using gbp pq
  * Add patch to fix national encoding
  * Set patch as not forwarded

 -- Christian Bayle <bayle@debian.org>  Sun, 16 Feb 2025 18:46:58 +0100

libibtk (0.0.14-14) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.6.2.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Add missing ${misc:Depends} to Depends for libibtk-dev, libibtk0t64.
  * debian/rules: Use dh_prep rather than "dh_clean -k".
  * Remove field Section on binary package libibtk0t64 that duplicates source.
  * Correct clean target in d/rules.
  * Flag in d/control that build do not need root.
  * Adjusted d/rules to enable hardening and debug package.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 24 Nov 2024 09:24:43 +0100

libibtk (0.0.14-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062370

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 12:48:43 +0000

libibtk (0.0.14-13) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0. (Closes: #1043199)
  * d/copyright: Convert to machine-readable format.
  * Update debhelper-compat to 10.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass --host to ./configure. (Closes: #969642)

 -- Bastian Germann <bage@debian.org>  Thu, 14 Sep 2023 13:05:55 +0000

libibtk (0.0.14-12.2) unstable; urgency=high

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965644)
  * debian/rules: Add build-{arch,indep}. (Closes: #999106)

 -- Adrian Bunk <bunk@debian.org>  Fri, 10 Feb 2023 01:30:33 +0200

libibtk (0.0.14-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh_update_autools_config to update config.{sub,guess}, and fix FTBFS
    in some new archs.  Require debheloer >= 9.20160115 for that tool.
    Closes: #528982

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 31 Mar 2017 02:08:06 +0200

libibtk (0.0.14-12) unstable; urgency=low

  * Reran libtoolize -c -f / aclocal -I m4 / autoconf as recommanded
  to close again (Closes: #342681)
  * Replace x-dev with x11proto-core-dev (Closes: #515500)

 -- Christian Bayle <bayle@debian.org>  Mon, 27 Apr 2009 21:04:28 +0200

libibtk (0.0.14-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Applied a fix by brian m. carlson to fix compilation with GCC 4.2.
    (Closes: #385525)

 -- Philipp Kern <pkern@debian.org>  Sun, 21 Oct 2007 11:42:06 +0200

libibtk (0.0.14-11) unstable; urgency=low

  * Ran libtoolize -c -f / aclocal -I m4 / autoconf as recommanded
  to (Closes: #342681)
  * Replaced depends on xlibs-dev with libx11-dev, x-dev as determined
  with helper script (Closes: #347031)
  * Updated policy

 -- Christian Bayle <bayle@debian.org>  Tue, 17 Jan 2006 22:25:05 +0100

libibtk (0.0.14-10) unstable; urgency=low

  * Just rebuild because of gatos rebuild needed

 -- Christian Bayle <bayle@debian.org>  Mon, 26 Sep 2005 22:42:49 +0200

libibtk (0.0.14-9) unstable; urgency=low

  * correct problem with unresolved symbols from both -lstdc++ and -lX11.
  (Closes: #204300)

 -- Christian Bayle <bayle@debian.org>  Sun, 14 Sep 2003 23:03:35 +0200

libibtk (0.0.14-8) unstable; urgency=low

  * updated acinclude.m4 and m4/libtool.m4
  * libtoolize -c -f; aclocal; autoconf; autoheader (Closes: #201916)

 -- Christian Bayle <bayle@debian.org>  Sat, 19 Jul 2003 01:01:37 +0200

libibtk (0.0.14-7) unstable; urgency=low

  * Change libibtk-dev section from devel to libdevel

 -- Christian Bayle <bayle@debian.org>  Wed, 25 Jun 2003 01:40:06 +0200

libibtk (0.0.14-6) unstable; urgency=low

  * Recompile with gcc3.3, needed by gatos package

 -- Christian Bayle <bayle@debian.org>  Wed, 25 Jun 2003 01:09:22 +0200

libibtk (0.0.14-5) unstable; urgency=low

  * Added Sections in control files
  * added --sysconfdir to remove bad conf file path
  * applied NMU patch to compile on hppa (Closes: #137914)

 -- Christian Bayle <bayle@aist.enst.fr>  Mon, 11 Mar 2002 23:43:48 +0100

libibtk (0.0.14-4) unstable; urgency=low

  * Took config.sub and config.guess from /usr/share/automake
  to try to solve autobuild errors

 -- Christian Bayle <bayle@aist.enst.fr>  Sun,  3 Mar 2002 16:16:11 +0100

libibtk (0.0.14-3) unstable; urgency=low

  * Changed Section for libs

 -- Christian Bayle <bayle@aist.enst.fr>  Thu, 28 Feb 2002 17:12:38 +0100

libibtk (0.0.14-2) unstable; urgency=low

  * Made the package any architecture (closes: #135924)

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 27 Feb 2002 23:19:20 +0100

libibtk (0.0.14-1) unstable; urgency=low

  * Initial Release.

 -- Christian Bayle <bayle@aist.enst.fr>  Sun, 17 Feb 2002 01:22:31 +0100
