=== debian/control ===
Source: libibtk
Section: libs
Priority: optional
Maintainer: Christian Bayle <bayle@debian.org>
Build-Depends: debhelper-compat (= 10),
               dpkg-dev (>= 1.22.5),
               libx11-dev,
               x11proto-core-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/libibtk
Vcs-Git: https://salsa.debian.org/debian/libibtk.git

Package: libibtk-dev
Section: libdevel
Architecture: any
Depends: libc6-dev,
         libibtk0t64 (= ${binary:Version}),
         ${misc:Depends},
Description: Insomnia's Basic ToolKit: Development Libraries and Header Files
 IBTK is used by The General ATI TV and Overlay Software (GATOS) suite
 for capturing video. Development Libraries and Header Files.

Package: libibtk0t64
Provides: ${t64:Provides},
Replaces: libibtk0,
Breaks: libibtk0 (<< ${source:Version}),
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: Insomnia's Basic ToolKit: Libraries Files
 IBTK is used by The General ATI TV and Overlay Software (GATOS) suite
 for capturing video. Libraries Files
