=== debian/watch ===
version=4
# The source code disappeared and upstream is not maintained
opts="searchmode=plain" \
https://salsa.debian.org/debian/@PACKAGE@/tags?sort=updated_desc upstream/@ANY_VERSION@/@PACKAGE@-upstream-\d\S*@ARCHIVE_EXT@
